/* RESET */
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    font-family:'Poppins',sans-serif;
    background:#090909;
    color:#fff;
    display:flex;
    justify-content:center;
    align-items:center;
    min-height:100vh;
    padding:20px;
}

/* LOADER */
#loader{
    position:fixed;
    inset:0;
    background:#090909;
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    z-index:9999;
}

.spinner{
    width:55px;
    height:55px;
    border:5px solid rgba(255,255,255,.2);
    border-top:5px solid #00d26a;
    border-radius:50%;
    animation:spin 1s linear infinite;
    margin-bottom:15px;
}

@keyframes spin{
    to{
        transform:rotate(360deg);
    }
}

/* CONTAINER */
.container{
    width:100%;
    max-width:430px;
    background:#171717;
    border-radius:18px;
    overflow:hidden;
    box-shadow:0 15px 35px rgba(0,0,0,.45);
    animation:fade .7s ease;
}

@keyframes fade{
    from{
        opacity:0;
        transform:translateY(20px);
    }
    to{
        opacity:1;
        transform:translateY(0);
    }
}

/* BANNER */
.banner{
    width:100%;
    display:block;
}

/* CONTENT */
.container h1{
    text-align:center;
    font-size:30px;
    margin-top:22px;
}

.subtitle{
    text-align:center;
    color:#cfcfcf;
    margin:12px 25px;
    line-height:1.6;
}

.countdown{
    text-align:center;
    font-size:18px;
    margin:20px;
}

#timer{
    color:#00d26a;
    font-weight:bold;
    font-size:30px;
}

/* BUTTON */
.button{
    display:block;
    width:85%;
    margin:25px auto;
    padding:18px;
    background:#00d26a;
    color:white;
    text-decoration:none;
    text-align:center;
    font-size:22px;
    font-weight:700;
    border-radius:12px;
    transition:.3s;
    animation:pulse 1.6s infinite;
}

.button:hover{
    background:#00b45b;
}

@keyframes pulse{

    0%{
        transform:scale(1);
    }

    50%{
        transform:scale(1.04);
    }

    100%{
        transform:scale(1);
    }

}

/* WARNING */
.warning{
    text-align:center;
    font-size:13px;
    color:#bbbbbb;
    margin:20px;
}

/* FOOTER */
footer{
    text-align:center;
    padding:20px;
    color:#777;
    font-size:13px;
}

/* MOBILE */
@media(max-width:480px){

.container{
    border-radius:15px;
}

.container h1{
    font-size:26px;
}

.button{
    font-size:20px;
}

}